Debian Bug report logs - #583099
source-highlight: FTBFS on armel (segfault in test suite)

version graph

Package: source-highlight; Maintainer for source-highlight is Peter Eisentraut <petere@debian.org>; Source for source-highlight is src:source-highlight.

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Tue, 25 May 2010 12:15:06 UTC

Severity: serious

Found in version source-highlight/3.1.1-1

Fixed in version 3.1.4-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-arm@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#583099; Package source-highlight. (Tue, 25 May 2010 12:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to debian-arm@lists.debian.org, Peter Eisentraut <petere@debian.org>. (Tue, 25 May 2010 12:15:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: source-highlight: FTBFS on armel (segfault in test suite)
Date: Tue, 25 May 2010 13:14:40 +0100
Package: source-highlight
Version: 3.1.1-1
Severity: serious
X-Debbugs-Cc: debian-arm@lists.debian.org

Hi,

The past few uploads of source-highlight FTBFS on armel due to one of the
tests causing a segfault. I'm not sure whether this is an issue with the
package or the buildds, so have Cced the porter list.

From the build log:

confDir: /home/buildd/.source-highlight/
read datadir: foo
retrieved data dir: /usr/share/source-highlight
test_settings: SUCCESS!
PASS: test_settings
/bin/bash: line 4: 18055 Segmentation fault      ${dir}$tst
FAIL: test_langmap

Full logs available via
https://buildd.debian.org/build.cgi?pkg=source-highlight&dist=unstable

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#583099; Package source-highlight. (Wed, 26 May 2010 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lorenzo Bettini <bettini@dsi.unifi.it>:
Extra info received and forwarded to list. Copy sent to Peter Eisentraut <petere@debian.org>. (Wed, 26 May 2010 11:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 583099@bugs.debian.org (full text, mbox):

From: Lorenzo Bettini <bettini@dsi.unifi.it>
To: 583099@bugs.debian.org
Subject: is the problem still present
Date: Wed, 26 May 2010 13:56:15 +0200
Hi

this test failure seems to have disappeared in the current version, 
3.1.3-2, doesn't it?

-- 
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134     (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com  http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#583099; Package source-highlight. (Wed, 16 Jun 2010 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Eisentraut <petere@debian.org>. (Wed, 16 Jun 2010 11:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 583099@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lorenzo Bettini <bettini@dsi.unifi.it>, 583099@bugs.debian.org
Subject: Re: Bug#583099: is the problem still present
Date: Wed, 16 Jun 2010 12:51:28 +0100
[Message part 1 (text/plain, inline)]
On Wed, May 26, 2010 at 13:56:15 +0200, Lorenzo Bettini wrote:

> Hi
> 
> this test failure seems to have disappeared in the current version,
> 3.1.3-2, doesn't it?
> 
https://buildd.debian.org/fetch.cgi?pkg=source-highlight;ver=3.1.3-2;arch=armel;stamp=1275634706

That failed again.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#583099; Package source-highlight. (Thu, 17 Jun 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lorenzo Bettini <bettini@dsi.unifi.it>:
Extra info received and forwarded to list. Copy sent to Peter Eisentraut <petere@debian.org>. (Thu, 17 Jun 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 583099@bugs.debian.org (full text, mbox):

From: Lorenzo Bettini <bettini@dsi.unifi.it>
To: Julien Cristau <jcristau@debian.org>, 583099@bugs.debian.org
Subject: Re: Bug#583099: is the problem still present
Date: Thu, 17 Jun 2010 15:52:48 +0200
[Message part 1 (text/plain, inline)]
On 06/16/2010 01:51 PM, Julien Cristau wrote:
> On Wed, May 26, 2010 at 13:56:15 +0200, Lorenzo Bettini wrote:
>
>> Hi
>>
>> this test failure seems to have disappeared in the current version,
>> 3.1.3-2, doesn't it?
>>
> https://buildd.debian.org/fetch.cgi?pkg=source-highlight;ver=3.1.3-2;arch=armel;stamp=1275634706
>
> That failed again.

Can anyone try with the current git version please (or at least use the 
attached test_langmap_main.cpp file to be put in lib/tests directory)?
or am I allowed to access the build system myself?

thanks in advance
	Lorenzo

-- 
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134     (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com  http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net
[test_langmap_main.cpp (text/x-c++src, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Eisentraut <petere@debian.org>:
Bug#583099; Package source-highlight. (Mon, 28 Jun 2010 21:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Peter Eisentraut <petere@debian.org>. (Mon, 28 Jun 2010 21:36:12 GMT) Full text and rfc822 format available.

Message #25 received at 583099@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 583099@bugs.debian.org
Cc: Lorenzo Bettini <bettini@dsi.unifi.it>
Subject: Re: Bug#583099: is the problem still present
Date: Mon, 28 Jun 2010 22:35:41 +0100
On Wed, 2010-06-16 at 12:51 +0100, Julien Cristau wrote:
> On Wed, May 26, 2010 at 13:56:15 +0200, Lorenzo Bettini wrote:
> > this test failure seems to have disappeared in the current version,
> > 3.1.3-2, doesn't it?
> > 
> https://buildd.debian.org/fetch.cgi?pkg=source-highlight;ver=3.1.3-2;arch=armel;stamp=1275634706
> 
> That failed again.

3.1.4-1 built successfully on ancina, so it looks like the new upstream
may have fixed this.

Lorenzo: NNNN@bugs.debian.org doesn't reach the submitter by default, so
you need to CC them to be sure that they see the message.

Regards,

Adam




Message sent on to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug#583099. (Sun, 11 Jul 2010 18:21:11 GMT) Full text and rfc822 format available.

Message #28 received at 583099-submitter@bugs.debian.org (full text, mbox):

From: Heiko Stübner <heiko@sntech.de>
To: 583099-submitter@bugs.debian.org
Subject: shouldn't this bug not be closed?
Date: Sun, 11 Jul 2010 20:19:23 +0200
[Message part 1 (text/plain, inline)]
> 3.1.4-1 built successfully on ancina, so it looks like the new upstream
> may have fixed this.

it seems this issue is resolved and this bug could be closed - or am I missing 
something.

I'm reluctant to do it from my outside-viewpoint without consent :-)

Heiko
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 17 Jul 2010 14:57:09 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Sat, 17 Jul 2010 14:57:09 GMT) Full text and rfc822 format available.

Message #33 received at 583099-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 583099-done@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Lorenzo Bettini <bettini@dsi.unifi.it>
Subject: Re: Bug#583099: is the problem still present
Date: Sat, 17 Jul 2010 16:56:09 +0200
[Message part 1 (text/plain, inline)]
Version: 3.1.4-1


On Mon, 28 Jun 2010 22:35:41 +0100, Adam D. Barratt wrote:

> 3.1.4-1 built successfully on ancina, so it looks like the new upstream
> may have fixed this.

As discussed on IRC (adsb/azeem, azzem/gregoa): let's close this bug
in this version.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #347:  The rubber band broke 
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Aug 2010 07:37:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:36:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.